Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.04 LTS
Ubuntu-fr propose des clés USB de Ubuntu et toutes ses « saveurs » ainsi qu'un magnifique t-shirt pour cette toute nouvelle version d'Ubuntu !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 05/10/2018, à 11:01

Daniel_T

[RESOLU] Libreoffice paquets casses

Bonjour à tous,
J'ai tenté de ré-installé Libreoffice après avoir installé Openoffice, mais j'ai certainement fait une mauvaise manip.
J'ai suivi les conseils de ce post : https://forum.ubuntu-fr.org/viewtopic.php?id=1171921
Mais ça ne marche pas.

Voici ce que me donne la commande sudo apt-get update :

Ign [url]http://ppa.launchpad.net[/url] trusty InRelease
Ign [url]http://archive.canonical.com[/url] trusty InRelease                              
Ign [url]http://extras.ubuntu.com[/url] trusty InRelease                                  
Atteint [url]http://archive.canonical.com[/url] trusty Release.gpg                        
Réception de : 1 [url]http://extras.ubuntu.com[/url] trusty Release.gpg [72 B]            
Atteint [url]http://download.mono-project.com[/url] wheezy InRelease                      
Ign [url]http://fr.archive.ubuntu.com[/url] trusty InRelease                              
Atteint [url]http://archive.canonical.com[/url] trusty Release                            
Atteint [url]http://ppa.launchpad.net[/url] trusty InRelease                              
Atteint [url]http://download.mono-project.com[/url] wheezy-apache24-compat InRelease      
Atteint [url]http://extras.ubuntu.com[/url] trusty Release                                
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty-updates InRelease                  
Ign [url]http://dl.google.com[/url] stable InRelease                                      
Atteint [url]http://download.mono-project.com[/url] wheezy/main amd64 Packages            
Réception de : 2 [url]http://security.ubuntu.com[/url] trusty-security InRelease [65,9 kB]
Atteint [url]http://ppa.launchpad.net[/url] trusty InRelease                              
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty Release.gpg                        
Atteint [url]http://archive.canonical.com[/url] trusty/partner Sources                    
Réception de : 3 [url]http://dl.google.com[/url] stable Release.gpg [819 B]               
Atteint [url]http://download.mono-project.com[/url] wheezy/main i386 Packages             
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty Release                            
Atteint [url]http://archive.canonical.com[/url] trusty/partner amd64 Packages             
Réception de : 4 [url]http://dl.google.com[/url] stable Release [933 B]                   
Ign [url]http://download.opensuse.org[/url]  InRelease                                    
Atteint [url]http://ppa.launchpad.net[/url] trusty InRelease                              
Atteint [url]http://extras.ubuntu.com[/url] trusty/main Sources                           
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty-updates/main Sources               
Atteint [url]http://archive.canonical.com[/url] trusty/partner i386 Packages              
Err [url]http://dl.google.com[/url] stable Release                                        
  
Ign [url]http://cz.archive.ubuntu.com[/url] lucid InRelease                               
Atteint [url]http://extras.ubuntu.com[/url] trusty/main amd64 Packages                    
Ign [url]http://download.opensuse.org[/url]  InRelease                                    
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty-updates/restricted Sources         
Atteint [url]http://archive.canonical.com[/url] trusty/partner Translation-en             
Atteint [url]http://extras.ubuntu.com[/url] trusty/main i386 Packages                     
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty-updates/universe Sources           
Ign [url]http://cz.archive.ubuntu.com[/url] lucid Release.gpg                             
Atteint [url]http://ppa.launchpad.net[/url] trusty InRelease                              
Réception de : 5 [url]http://download.opensuse.org[/url]  Release.gpg [481 B]             
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty-updates/multiverse Sources         
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty-updates/main amd64 Packages        
Ign [url]http://download.opensuse.org[/url]  Release.gpg                                  
Ign [url]http://cz.archive.ubuntu.com[/url] lucid Release                                 
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty-updates/restricted amd64 Packages  
Atteint [url]http://ppa.launchpad.net[/url] trusty InRelease                              
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty-updates/universe amd64 Packages    
Ign [url]http://cz.archive.ubuntu.com[/url] lucid/main amd64 Packages/DiffIndex           
Ign [url]http://download.opensuse.org[/url]  Release                                      
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty-updates/multiverse amd64 Packages  
Atteint [url]http://ppa.launchpad.net[/url] trusty Release.gpg                            
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty-updates/main i386 Packages         
Réception de : 6 [url]http://download.opensuse.org[/url]  Release [1 034 B]               
Err [url]http://download.opensuse.org[/url]  Release                                      
  
Ign [url]http://cz.archive.ubuntu.com[/url] lucid/main i386 Packages/DiffIndex            
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty-updates/restricted i386 Packages   
Ign [url]http://download.opensuse.org[/url]  Packages/DiffIndex                           
Réception de : 7 [url]http://security.ubuntu.com[/url] trusty-security/main Sources [163 kB]
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty-updates/universe i386 Packages     
Atteint [url]http://ppa.launchpad.net[/url] trusty/main amd64 Packages                    
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty-updates/multiverse i386 Packages   
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty-updates/main Translation-en        
Atteint [url]http://ppa.launchpad.net[/url] trusty/main i386 Packages                     
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty-updates/multiverse Translation-en  
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty-updates/restricted Translation-en  
Atteint [url]http://ppa.launchpad.net[/url] trusty/main Translation-en                    
Atteint [url]http://download.mono-project.com[/url] wheezy-apache24-compat/main amd64 Packages
Ign [url]http://extras.ubuntu.com[/url] trusty/main Translation-fr_FR                     
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty-updates/universe Translation-en    
Atteint [url]http://download.mono-project.com[/url] wheezy-apache24-compat/main i386 Packages
Atteint [url]http://ppa.launchpad.net[/url] trusty/main amd64 Packages                    
Ign [url]http://extras.ubuntu.com[/url] trusty/main Translation-fr                        
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/main Sources                       
Atteint [url]https://repo.skype.com[/url] stable InRelease                                
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/restricted Sources                 
Ign [url]http://extras.ubuntu.com[/url] trusty/main Translation-en                        
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/universe Sources                   
Réception de : 8 [url]http://security.ubuntu.com[/url] trusty-security/restricted Sources [4 931 B]
Atteint [url]http://ppa.launchpad.net[/url] trusty/main i386 Packages                     
Atteint [url]https://repo.skype.com[/url] stable/main amd64 Packages                      
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/multiverse Sources                 
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/main amd64 Packages                
Atteint [url]http://ppa.launchpad.net[/url] trusty/main Translation-en                    
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/restricted amd64 Packages          
Réception de : 9 [url]https://repo.skype.com[/url] stable/main Translation-fr_FR          
Réception de : 10 [url]http://security.ubuntu.com[/url] trusty-security/universe Sources [84,2 kB]
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/universe amd64 Packages            
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/multiverse amd64 Packages          
Atteint [url]http://ppa.launchpad.net[/url] trusty/main Sources                           
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/main i386 Packages                 
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/restricted i386 Packages           
Atteint [url]http://ppa.launchpad.net[/url] trusty/main amd64 Packages                    
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/universe i386 Packages             
Réception de : 11 [url]http://security.ubuntu.com[/url] trusty-security/multiverse Sources [3 261 B]
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/multiverse i386 Packages           
Atteint [url]http://ppa.launchpad.net[/url] trusty/main i386 Packages                     
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/main Translation-fr                
Atteint [url]http://ppa.launchpad.net[/url] trusty/main Translation-en                    
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/main Translation-en                
Réception de : 12 [url]http://security.ubuntu.com[/url] trusty-security/main amd64 Packages [771 kB]
Ign [url]http://download.opensuse.org[/url]  Translation-fr_FR                            
Ign [url]http://download.opensuse.org[/url]  Translation-fr                               
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/multiverse Translation-fr          
Atteint [url]http://ppa.launchpad.net[/url] trusty/main amd64 Packages                    
Ign [url]http://download.opensuse.org[/url]  Translation-en                               
Err [url]http://download.opensuse.org[/url]  Packages                                     
  404  Not Found [IP : 195.135.221.134 80]
Atteint [url]http://ppa.launchpad.net[/url] trusty/main i386 Packages                     
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/multiverse Translation-en          
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/restricted Translation-fr          
Atteint [url]http://ppa.launchpad.net[/url] trusty/main Translation-en                    
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/restricted Translation-en          
Réception de : 13 [url]http://security.ubuntu.com[/url] trusty-security/restricted amd64 Packages [14,2 kB]
Atteint [url]http://ppa.launchpad.net[/url] trusty/main amd64 Packages                    
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/universe Translation-fr            
Atteint [url]http://fr.archive.ubuntu.com[/url] trusty/universe Translation-en            
Atteint [url]http://ppa.launchpad.net[/url] trusty/main i386 Packages                     
Réception de : 14 [url]http://security.ubuntu.com[/url] trusty-security/universe amd64 Packages [262 kB]
Atteint [url]http://ppa.launchpad.net[/url] trusty/main Translation-en                    
Ign [url]http://cz.archive.ubuntu.com[/url] lucid/main Translation-fr_FR                  
Atteint [url]http://ppa.launchpad.net[/url] trusty Release                                
Ign [url]https://repo.skype.com[/url] stable/main Translation-fr_FR                       
Réception de : 15 [url]http://security.ubuntu.com[/url] trusty-security/multiverse amd64 Packages [4 803 B]
Ign [url]http://cz.archive.ubuntu.com[/url] lucid/main Translation-fr                     
Ign [url]https://repo.skype.com[/url] stable/main Translation-fr                          
Ign [url]http://cz.archive.ubuntu.com[/url] lucid/main Translation-en                     
Atteint [url]http://ppa.launchpad.net[/url] trusty/main amd64 Packages                    
Réception de : 16 [url]http://security.ubuntu.com[/url] trusty-security/main i386 Packages [712 kB]
Ign [url]https://repo.skype.com[/url] stable/main Translation-en                          
Err [url]http://cz.archive.ubuntu.com[/url] lucid/main amd64 Packages                     
  404  Not Found [IP : 217.31.202.63 80]
Atteint [url]http://ppa.launchpad.net[/url] trusty/main i386 Packages                     
Ign [url]http://fr.archive.ubuntu.com[/url] trusty/main Translation-fr_FR                 
Err [url]http://cz.archive.ubuntu.com[/url] lucid/main i386 Packages                      
  404  Not Found [IP : 217.31.202.63 80]
Ign [url]http://fr.archive.ubuntu.com[/url] trusty/multiverse Translation-fr_FR           
Atteint [url]http://ppa.launchpad.net[/url] trusty/main Translation-en                    
Réception de : 17 [url]http://security.ubuntu.com[/url] trusty-security/restricted i386 Packages [13,9 kB]
Ign [url]http://fr.archive.ubuntu.com[/url] trusty/restricted Translation-fr_FR           
Ign [url]http://fr.archive.ubuntu.com[/url] trusty/universe Translation-fr_FR             
Réception de : 18 [url]http://security.ubuntu.com[/url] trusty-security/universe i386 Packages [250 kB]
Réception de : 19 [url]http://security.ubuntu.com[/url] trusty-security/multiverse i386 Packages [4 950 B]
Atteint [url]http://security.ubuntu.com[/url] trusty-security/main Translation-en         
Atteint [url]http://security.ubuntu.com[/url] trusty-security/multiverse Translation-en   
Atteint [url]http://security.ubuntu.com[/url] trusty-security/restricted Translation-en   
Atteint [url]http://security.ubuntu.com[/url] trusty-security/universe Translation-en     
Ign [url]http://download.mono-project.com[/url] wheezy/main Translation-fr_FR
Ign [url]http://download.mono-project.com[/url] wheezy/main Translation-fr
Ign [url]http://download.mono-project.com[/url] wheezy/main Translation-en
Ign [url]http://download.mono-project.com[/url] wheezy-apache24-compat/main Translation-fr_FR
Ign [url]http://download.mono-project.com[/url] wheezy-apache24-compat/main Translation-fr
Ign [url]http://download.mono-project.com[/url] wheezy-apache24-compat/main Translation-en
2 356 ko réceptionnés en 6s (354 ko/s)                                         
Lecture des listes de paquets... Fait
W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : [url]http://dl.google.com[/url] stable Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 1397BC53640DB551

W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : [url]http://download.opensuse.org[/url]  Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 4ABE1AC7557BEFF9

W: Impossible de récupérer [url]http://dl.google.com/linux/earth/deb/dists/stable/Release[/url]  

W: Impossible de récupérer [url]http://download.opensuse.org/repositories/isv:/ownCloud:/desktop/Ubuntu_14.04/Release[/url]  

W: Impossible de récupérer [url]http://cz.archive.ubuntu.com/ubuntu/dists/lucid/main/binary-amd64/Packages[/url]  404  Not Found [IP : 217.31.202.63 80]

W: Impossible de récupérer [url]http://cz.archive.ubuntu.com/ubuntu/dists/lucid/main/binary-i386/Packages[/url]  404  Not Found [IP : 217.31.202.63 80]

W: Impossible de récupérer [url]http://download.opensuse.org/repositories/isv:/ownCloud:/desktop/Ubuntu_14.10/Packages[/url]  404  Not Found [IP : 195.135.221.134 80]

W: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.
W: Duplicate sources.list entry [url]http://download.opensuse.org/repositories/isv:/ownCloud:/desktop/Ubuntu_14.04/[/url]  Packages (/var/lib/apt/lists/download.opensuse.org_repositories_isv:_ownCloud:_desktop_Ubuntu%5f14.04_Packages)

Et la commande sudo apt-get upgrade :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 libreoffice-core : Dépend: libreoffice-common (> 1:4.2.8) mais il n'est pas installé
 libreoffice-help-en-us : Dépend: libreoffice-l10n-en-us
 libreoffice-java-common : Dépend: libreoffice-common mais il n'est pas installé
 libreoffice-l10n-en-gb : Dépend: libreoffice-common mais il n'est pas installé
 libreoffice-l10n-en-za : Dépend: libreoffice-common mais il n'est pas installé
 libreoffice-l10n-fr : Dépend: libreoffice-common mais il n'est pas installé
E: Dépendances manquantes. Essayez d'utiliser l'option -f.

Merci de l'aide que vous pourrez m'apporter

Dernière modification par Daniel_T (Le 06/10/2018, à 23:09)

Hors ligne

#2 Le 05/10/2018, à 12:34

xabilon

Re : [RESOLU] Libreoffice paquets casses

Salut

Commence par essayer cette commande :

sudo apt-get install -f

Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#3 Le 05/10/2018, à 14:15

Daniel_T

Re : [RESOLU] Libreoffice paquets casses

Voici ce que j'obtiens :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  hyphen-en-us libreoffice-help-en-gb libreoffice-help-en-us
  libreoffice-help-fr libreoffice-l10n-en-gb libreoffice-l10n-en-za
  libreoffice-l10n-fr mythes-en-au
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  libreoffice-common
Paquets suggérés :
  libreoffice-style-crystal libreoffice-style-hicontrast
  libreoffice-style-oxygen libreoffice-style-sifr libreoffice-style-tango
Les NOUVEAUX paquets suivants seront installés :
  libreoffice-common
0 mis à jour, 1 nouvellement installés, 0 à enlever et 356 non mis à jour.
27 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/19,9 Mo dans les archives.
Après cette opération, 76,1 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
(Lecture de la base de données... 963887 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libreoffice-common_1%3a4.2.8-0ubuntu5.3_all.deb ...
Dépaquetage de libreoffice-common (1:4.2.8-0ubuntu5.3) ...
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libreoffice-common_1%3a4.2.8-0ubuntu5.3_all.deb (--unpack) :
 tentative de remplacement de « /usr/bin/soffice », qui appartient aussi au paquet openoffice-debian-menus 4.1.2-9782
rmdir: échec de suppression de «/var/lib/libreoffice/share/prereg/»: Aucun fichier ou dossier de ce type
rmdir: échec de suppression de «/var/lib/libreoffice/share/»: Aucun fichier ou dossier de ce type
rmdir: échec de suppression de «/var/lib/libreoffice/program/»: Aucun fichier ou dossier de ce type
rmdir: échec de suppression de «/var/lib/libreoffice»: Aucun fichier ou dossier de ce type
rmdir: échec de suppression de «/var/lib/libreoffice»: Aucun fichier ou dossier de ce type
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.13-1) ...
Traitement des actions différées (« triggers ») pour gnome-icon-theme (3.10.0-0ubuntu2) ...
Traitement des actions différées (« triggers ») pour shared-mime-info (1.2-0ubuntu3) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.22-1ubuntu1.1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.54ubuntu1.1) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.10.1-0ubuntu2) ...
Traitement des actions différées (« triggers ») pour bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Traitement des actions différées (« triggers ») pour man-db (2.6.7.1-1ubuntu1) ...
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/libreoffice-common_1%3a4.2.8-0ubuntu5.3_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Hors ligne

#4 Le 05/10/2018, à 15:53

xabilon

Re : [RESOLU] Libreoffice paquets casses

À priori tu as encore des restes d'Openoffice. On va essayer déjà de désinstaller celui-là :

sudo apt-get purge openoffice-debian-menus

Et vérifier si il en reste d'autres :

dpkg -l | grep openoffice

Dernière modification par xabilon (Le 05/10/2018, à 15:54)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#5 Le 05/10/2018, à 18:01

Daniel_T

Re : [RESOLU] Libreoffice paquets casses

Voici ce que la première commande me renvoie :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
 libreoffice-core : Dépend: libreoffice-common (> 1:4.2.8) mais ne sera pas installé
 libreoffice-help-en-us : Dépend: libreoffice-l10n-en-us
 libreoffice-java-common : Dépend: libreoffice-common mais ne sera pas installé
 libreoffice-l10n-en-gb : Dépend: libreoffice-common mais ne sera pas installé
 libreoffice-l10n-en-za : Dépend: libreoffice-common mais ne sera pas installé
 libreoffice-l10n-fr : Dépend: libreoffice-common mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

J'ai qand même lancé la deuxième commande :

ii  openoffice                                                  4.1.2-3                                             amd64        Brand module for OpenOffice 4.1.2
ii  openoffice-base                                             4.1.2-3                                             amd64        Base module for Apache OpenOffice 4.1.2
ii  openoffice-brand-base                                       4.1.2-3                                             amd64        Base brand module for OpenOffice 4.1.2
ii  openoffice-brand-calc                                       4.1.2-3                                             amd64        Calc brand module for OpenOffice 4.1.2
ii  openoffice-brand-draw                                       4.1.2-3                                             amd64        Draw brand module for OpenOffice 4.1.2
ii  openoffice-brand-fr                                         4.1.2-3                                             amd64        Brand language module for OpenOffice 4.1.2
ii  openoffice-brand-impress                                    4.1.2-3                                             amd64        Impress brand module for OpenOffice 4.1.2
ii  openoffice-brand-math                                       4.1.2-3                                             amd64        Math brand module for OpenOffice 4.1.2
ii  openoffice-brand-writer                                     4.1.2-3                                             amd64        Writer brand module for OpenOffice 4.1.2
ii  openoffice-calc                                             4.1.2-3                                             amd64        Calc module for Apache OpenOffice 4.1.2
ii  openoffice-core01                                           4.1.2-3                                             amd64        Core module for Apache OpenOffice 4.1.2
ii  openoffice-core02                                           4.1.2-3                                             amd64        Office core module for Apache OpenOffice 4.1.2
ii  openoffice-core03                                           4.1.2-3                                             amd64        Office core module for Apache OpenOffice 4.1.2
ii  openoffice-core04                                           4.1.2-3                                             amd64        Office core module for Apache OpenOffice 4.1.2
ii  openoffice-core05                                           4.1.2-3                                             amd64        Office core module for Apache OpenOffice 4.1.2
ii  openoffice-core06                                           4.1.2-3                                             amd64        Office core module for Apache OpenOffice 4.1.2
ii  openoffice-core07                                           4.1.2-3                                             amd64        Office core module for Apache OpenOffice 4.1.2
ii  openoffice-debian-menus                                     4.1.2-9782                                          all          OpenOffice desktop integration
ii  openoffice-draw                                             4.1.2-3                                             amd64        Draw module for Apache OpenOffice 4.1.2
ii  openoffice-fr                                               4.1.2-3                                             amd64        Language module for Apache OpenOffice 4.1.2, language fr
ii  openoffice-fr-base                                          4.1.2-3                                             amd64        Base language module for Apache OpenOffice 4.1.2, language fr
ii  openoffice-fr-calc                                          4.1.2-3                                             amd64        Calc language module for Apache OpenOffice 4.1.2, language fr
ii  openoffice-fr-draw                                          4.1.2-3                                             amd64        Draw language module for Apache OpenOffice , language fr
ii  openoffice-fr-help                                          4.1.2-3                                             amd64        Language help module for Apache OpenOffice 4.1.2, language fr
ii  openoffice-fr-impress                                       4.1.2-3                                             amd64        Impress language module for Apache OpenOffice 4.1.2, language fr
ii  openoffice-fr-math                                          4.1.2-3                                             amd64        Math language module for Apache OpenOffice 4.1.2, language fr
ii  openoffice-fr-res                                           4.1.2-3                                             amd64        Language resource module for Apache OpenOffice 4.1.2, language fr
ii  openoffice-fr-writer                                        4.1.2-3                                             amd64        Writer language module for Apache OpenOffice 4.1.2, language fr
ii  openoffice-gnome-integration                                4.1.2-3                                             amd64        Gnome integration module for Apache OpenOffice 4.1.2
ii  openoffice-graphicfilter                                    4.1.2-3                                             amd64        Graphic filter module for Apache OpenOffice 4.1.2
ii  openoffice-images                                           4.1.2-3                                             amd64        Images module for Apache OpenOffice 4.1.2
ii  openoffice-impress                                          4.1.2-3                                             amd64        Impress module for Apache OpenOffice 4.1.2
ii  openoffice-javafilter                                       4.1.2-3                                             amd64        Java filter module for Apache OpenOffice 4.1.2
ii  openoffice-math                                             4.1.2-3                                             amd64        Math module for Apache OpenOffice 4.1.2
ii  openoffice-ogltrans                                         4.1.2-3                                             amd64        OpenGL slide transitions module for Apache OpenOffice 4.1.2
ii  openoffice-onlineupdate                                     4.1.2-3                                             amd64        Online update modul for Apache OpenOffice 4.1.2
ii  openoffice-ooofonts                                         4.1.2-3                                             amd64        Mailcap module for Apache OpenOffice 4.1.2
ii  openoffice-ooolinguistic                                    4.1.2-3                                             amd64        Linguistic module for Apache OpenOffice 4.1.2
ii  openoffice-pyuno                                            4.1.2-3                                             amd64        Pyuno module for Apache OpenOffice 4.1.2
ii  openoffice-ure                                              4.1.2-3                                             amd64        UNO Runtime Environment for OpenOffice 4.1.2
ii  openoffice-writer                                           4.1.2-3                                             amd64        Writer module for Apache OpenOffice 4.1.2
ii  openoffice-xsltfilter                                       4.1.2-3                                             amd64        XSLT filter samples module for Apache OpenOffice 4.1.2
ii  openoffice.org-hyphenation                                  0.7.1                                               all          Hyphenation patterns for OpenOffice.org

Merci

Hors ligne

#6 Le 05/10/2018, à 18:54

xabilon

Re : [RESOLU] Libreoffice paquets casses

Oui, il faut que tu désinstalles tous les paquets listés par la deuxième commande. Ce sont des paquets de OpenOffice qui t'empêchent d'installer correctement LibreOffice (ils sont incompatibles).


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#7 Le 05/10/2018, à 19:30

Daniel_T

Re : [RESOLU] Libreoffice paquets casses

Je voudrais bien, il n'a pas l'air d'être d'accord.
J'ai essayé avec le premier paquet : sudo apt purge openoffice
Ce qui donne en retour :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
 libreoffice-core : Dépend: libreoffice-common (> 1:4.2.8) mais ne sera pas installé
 libreoffice-help-en-us : Dépend: libreoffice-l10n-en-us
 libreoffice-java-common : Dépend: libreoffice-common mais ne sera pas installé
 libreoffice-l10n-en-gb : Dépend: libreoffice-common mais ne sera pas installé
 libreoffice-l10n-en-za : Dépend: libreoffice-common mais ne sera pas installé
 libreoffice-l10n-fr : Dépend: libreoffice-common mais ne sera pas installé
 openoffice-brand-base : Dépend: openoffice mais ne sera pas installé
 openoffice-brand-calc : Dépend: openoffice mais ne sera pas installé
 openoffice-brand-draw : Dépend: openoffice mais ne sera pas installé
 openoffice-brand-fr : Dépend: openoffice mais ne sera pas installé
 openoffice-brand-impress : Dépend: openoffice mais ne sera pas installé
 openoffice-brand-math : Dépend: openoffice mais ne sera pas installé
 openoffice-brand-writer : Dépend: openoffice mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

Hors ligne

#8 Le 05/10/2018, à 19:49

cqfd93

Re : [RESOLU] Libreoffice paquets casses

Bonjour,

On est en présence d'un système bancal, mal entretenu (…356 non mis à jour), une trusty mais avec des dépôts lucid et même debian. Il faudrait y faire le ménage !!!


cqfd93

Hors ligne

#9 Le 05/10/2018, à 20:03

xabilon

Re : [RESOLU] Libreoffice paquets casses

Oui, mais il faut commencer par mettre apt d'appoint. Et on va commencer par virer LibreOffice, puis OpenOffice.

sudo apt-get purge libreoffice-l10n-fr libreoffice-l10n-en-za libreoffice-l10n-en-gb libreoffice-java-common libreoffice-help-en-us libreoffice-core

Une fois que c'est fait, tu reprends tous les paquets openoffice de la liste du message #5, et tu tentes de les désinstaller les uns après les autres. Ou alors essaye :

sudo apt-get purge openoffice*

Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#10 Le 05/10/2018, à 20:55

Daniel_T

Re : [RESOLU] Libreoffice paquets casses

La première commande me renvoie :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
 libreoffice : Dépend: libreoffice-core (= 1:4.2.8-0ubuntu5.3) mais ne sera pas installé
               Dépend: libreoffice-java-common (>= 1:4.2.8~) mais ne sera pas installé
 libreoffice-avmedia-backend-gstreamer : Dépend: libreoffice-core mais ne sera pas installé
 libreoffice-base : Dépend: libreoffice-core (= 1:4.2.8-0ubuntu5.3) mais ne sera pas installé
                    Recommande: libreoffice-java-common (>= 1:4.2.8~) mais ne sera pas installé
 libreoffice-base-core : Dépend: libreoffice-core (= 1:4.2.8-0ubuntu5.3) mais ne sera pas installé
 libreoffice-base-drivers : Dépend: libreoffice-core mais ne sera pas installé
 libreoffice-calc : Dépend: libreoffice-core (= 1:4.2.8-0ubuntu5.3) mais ne sera pas installé
 libreoffice-draw : Dépend: libreoffice-core (= 1:4.2.8-0ubuntu5.3) mais ne sera pas installé
 libreoffice-gnome : Dépend: libreoffice-core (= 1:4.2.8-0ubuntu5.3) mais ne sera pas installé
 libreoffice-gtk : Dépend: libreoffice-core (= 1:4.2.8-0ubuntu5.3) mais ne sera pas installé
 libreoffice-help-en-gb : Dépend: libreoffice-l10n-en-gb mais ne sera pas installé
                          Recommande: libreoffice-core (> 1:4.2.8) mais ne sera pas installé ou
                                      language-support-translations-en mais il n'est pas installable
 libreoffice-help-fr : Dépend: libreoffice-l10n-fr mais ne sera pas installé
                       Recommande: libreoffice-core (> 1:4.2.8) mais ne sera pas installé ou
                                   language-support-translations-fr mais il n'est pas installable
 libreoffice-impress : Dépend: libreoffice-core (= 1:4.2.8-0ubuntu5.3) mais ne sera pas installé
 libreoffice-math : Dépend: libreoffice-core (= 1:4.2.8-0ubuntu5.3) mais ne sera pas installé
 libreoffice-pdfimport : Dépend: libreoffice-core mais ne sera pas installé
 libreoffice-report-builder-bin : Dépend: libreoffice-core mais ne sera pas installé
 libreoffice-sdbc-firebird : Dépend: libreoffice-core mais ne sera pas installé
 libreoffice-sdbc-hsqldb : Dépend: libreoffice-core mais ne sera pas installé
                           Dépend: libreoffice-java-common (>= 1:4.2.8~) mais ne sera pas installé
 libreoffice-writer : Dépend: libreoffice-core (= 1:4.2.8-0ubuntu5.3) mais ne sera pas installé
 mythes-en-us : Dépend: libreoffice-core mais ne sera pas installé ou
                         openoffice.org-core (>= 1.9) mais ne sera pas installé ou
                         language-support-writing-en mais ne sera pas installé
 mythes-fr : Dépend: libreoffice-core mais ne sera pas installé ou
                      openoffice.org-core (>= 1.9) mais ne sera pas installé ou
                      language-support-writing-fr mais ne sera pas installé
 python3-uno : Dépend: libreoffice-core (= 1:4.2.8-0ubuntu5.3) mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

Et la deuxième, me dit que les mêmes paquets libreoffice "contiennent des dépendances non satisfaites"

Hors ligne

#11 Le 05/10/2018, à 21:00

Mornagest

Re : [RESOLU] Libreoffice paquets casses

Salut,

Même genre de problème qu'ici : https://forum.ubuntu-fr.org/viewtopic.php?id=2031255 et on n'a pas vraiment trouvé de solution (même si on n'a plus de nouvelles depuis quelque temps donc dur de savoir).

edit @ Xabi : je procéderais dans l'autre sens : nettoyage du sources.list pour pouvoir réaliser un apt install -f et apt autoremove, puis enfin se pencher sur OpenOffice et LibreOffice.

Dernière modification par Mornagest (Le 05/10/2018, à 21:02)


N'oubliez pas de consulter la documentation pour vous donner un coup de main !
Merci de modifier le premier message de votre sujet pour ajouter [Résolu] lorsque votre problème l'est :)
Xubuntu 18.04.1 sur trois ordinateurs, zéro souci. Passez à Xubuntu ;)

Hors ligne

#12 Le 05/10/2018, à 21:11

cqfd93

Re : [RESOLU] Libreoffice paquets casses

Apt est trop coincé par les dépendances. Il faudrait y aller avec dpkg et je persiste à dire qu'il faudrait aussi nettoyer les sources.


cqfd93

Hors ligne

#13 Le 05/10/2018, à 21:17

Daniel_T

Re : [RESOLU] Libreoffice paquets casses

Merci de ton aide CQFD93, mais je ne suis pas un expert et je ne sais pas comment faire ce que tu proposes.
Quelle procédure ?

Hors ligne

#14 Le 05/10/2018, à 21:17

Mornagest

Re : [RESOLU] Libreoffice paquets casses

Comment procèdes-tu avec dpkg ? Tu es obligé de télécharger les paquets sur packages.ubuntu.com et les installer manuellement avec dpkg -i ? Ou il y a un autre moyen ?


N'oubliez pas de consulter la documentation pour vous donner un coup de main !
Merci de modifier le premier message de votre sujet pour ajouter [Résolu] lorsque votre problème l'est :)
Xubuntu 18.04.1 sur trois ordinateurs, zéro souci. Passez à Xubuntu ;)

Hors ligne

#15 Le 05/10/2018, à 21:23

cqfd93

Re : [RESOLU] Libreoffice paquets casses

Avec des commandes de la forme :

sudo dpkg -P nom_du_paquet

On peut supprimer plusieurs paquets avec la même commande. Une fois les paquets supprimés, on lance un :

sudo apt install -f

pour réparer les dépendances.


cqfd93

Hors ligne

#16 Le 05/10/2018, à 21:24

Mornagest

Re : [RESOLU] Libreoffice paquets casses

OK, je pensais que tu voulais effectuer une installation et non une purge smile

edit @ Daniel_T : il faut alors taper la commande sudo dpkg -P libreoffice*

Dernière modification par Mornagest (Le 05/10/2018, à 21:26)


N'oubliez pas de consulter la documentation pour vous donner un coup de main !
Merci de modifier le premier message de votre sujet pour ajouter [Résolu] lorsque votre problème l'est :)
Xubuntu 18.04.1 sur trois ordinateurs, zéro souci. Passez à Xubuntu ;)

Hors ligne

#17 Le 05/10/2018, à 21:46

Daniel_T

Re : [RESOLU] Libreoffice paquets casses

J'ai fait le manip

daniel@daniel-P5QL-PRO:~$ sudo dpkg -P openoffice openoffice-brand-base openoffice-brand-math openoffice-brand-calc openoffice-brand-draw openoffice-brand-impress openoffice-brand-writer openoffice-brand-fr
(Lecture de la base de données... 963885 fichiers et répertoires déjà installés.)
Suppression de openoffice-brand-base (4.1.2-3) ...
Suppression de openoffice-brand-math (4.1.2-3) ...
Suppression de openoffice-brand-calc (4.1.2-3) ...
Suppression de openoffice-brand-draw (4.1.2-3) ...
Suppression de openoffice-brand-impress (4.1.2-3) ...
Suppression de openoffice-brand-writer (4.1.2-3) ...
Suppression de openoffice-brand-fr (4.1.2-3) ...
Suppression de openoffice (4.1.2-3) ...
dpkg : avertissement : lors de la suppression de openoffice, le répertoire « /opt/openoffice4/share/uno_packages/cache » n'était pas vide, donc il n'a pas été supprimé
daniel@daniel-P5QL-PRO:~$ sudo apt install -f
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  hyphen-en-us libreoffice-help-en-gb libreoffice-help-en-us
  libreoffice-help-fr libreoffice-l10n-en-gb libreoffice-l10n-en-za
  libreoffice-l10n-fr mythes-en-au
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  libreoffice-common
Paquets suggérés :
  libreoffice-style-crystal libreoffice-style-hicontrast
  libreoffice-style-oxygen libreoffice-style-sifr libreoffice-style-tango
Les NOUVEAUX paquets suivants seront installés :
  libreoffice-common
0 mis à jour, 1 nouvellement installés, 0 à enlever et 356 non mis à jour.
27 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/19,9 Mo dans les archives.
Après cette opération, 76,1 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
(Lecture de la base de données... 963843 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libreoffice-common_1%3a4.2.8-0ubuntu5.3_all.deb ...
Dépaquetage de libreoffice-common (1:4.2.8-0ubuntu5.3) ...
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libreoffice-common_1%3a4.2.8-0ubuntu5.3_all.deb (--unpack) :
 tentative de remplacement de « /usr/bin/soffice », qui appartient aussi au paquet openoffice-debian-menus 4.1.2-9782
rmdir: échec de suppression de «/var/lib/libreoffice/share/prereg/»: Aucun fichier ou dossier de ce type
rmdir: échec de suppression de «/var/lib/libreoffice/share/»: Aucun fichier ou dossier de ce type
rmdir: échec de suppression de «/var/lib/libreoffice/program/»: Aucun fichier ou dossier de ce type
rmdir: échec de suppression de «/var/lib/libreoffice»: Aucun fichier ou dossier de ce type
rmdir: échec de suppression de «/var/lib/libreoffice»: Aucun fichier ou dossier de ce type
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.13-1) ...
Traitement des actions différées (« triggers ») pour gnome-icon-theme (3.10.0-0ubuntu2) ...
Traitement des actions différées (« triggers ») pour shared-mime-info (1.2-0ubuntu3) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.22-1ubuntu1.1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.54ubuntu1.1) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.10.1-0ubuntu2) ...
Traitement des actions différées (« triggers ») pour bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Traitement des actions différées (« triggers ») pour man-db (2.6.7.1-1ubuntu1) ...
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/libreoffice-common_1%3a4.2.8-0ubuntu5.3_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

et ensuite

daniel@daniel-P5QL-PRO:~$ sudo apt install -f
[sudo] password for daniel: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  hyphen-en-us libreoffice-help-en-gb libreoffice-help-en-us
  libreoffice-help-fr libreoffice-l10n-en-gb libreoffice-l10n-en-za
  libreoffice-l10n-fr mythes-en-au
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  libreoffice-common
Paquets suggérés :
  libreoffice-style-crystal libreoffice-style-hicontrast
  libreoffice-style-oxygen libreoffice-style-sifr libreoffice-style-tango
Les NOUVEAUX paquets suivants seront installés :
  libreoffice-common
0 mis à jour, 1 nouvellement installés, 0 à enlever et 356 non mis à jour.
27 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/19,9 Mo dans les archives.
Après cette opération, 76,1 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
(Lecture de la base de données... 963843 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libreoffice-common_1%3a4.2.8-0ubuntu5.3_all.deb ...
Dépaquetage de libreoffice-common (1:4.2.8-0ubuntu5.3) ...
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libreoffice-common_1%3a4.2.8-0ubuntu5.3_all.deb (--unpack) :
 tentative de remplacement de « /usr/bin/soffice », qui appartient aussi au paquet openoffice-debian-menus 4.1.2-9782
rmdir: échec de suppression de «/var/lib/libreoffice/share/prereg/»: Aucun fichier ou dossier de ce type
rmdir: échec de suppression de «/var/lib/libreoffice/share/»: Aucun fichier ou dossier de ce type
rmdir: échec de suppression de «/var/lib/libreoffice/program/»: Aucun fichier ou dossier de ce type
rmdir: échec de suppression de «/var/lib/libreoffice»: Aucun fichier ou dossier de ce type
rmdir: échec de suppression de «/var/lib/libreoffice»: Aucun fichier ou dossier de ce type
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.13-1) ...
Traitement des actions différées (« triggers ») pour gnome-icon-theme (3.10.0-0ubuntu2) ...
Traitement des actions différées (« triggers ») pour shared-mime-info (1.2-0ubuntu3) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.22-1ubuntu1.1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.54ubuntu1.1) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.10.1-0ubuntu2) ...
Traitement des actions différées (« triggers ») pour bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Traitement des actions différées (« triggers ») pour man-db (2.6.7.1-1ubuntu1) ...
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/libreoffice-common_1%3a4.2.8-0ubuntu5.3_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
daniel@daniel-P5QL-PRO:~$ 

Hors ligne

#18 Le 05/10/2018, à 21:46

xabilon

Re : [RESOLU] Libreoffice paquets casses

Oui, dpkg permet de passer outre les problèmes de dépôts, mais il me semble que malheureusement il n'accepte pas les tokens (*, ?...).
Il va donc falloir désinstaller tout ce qui concerne openoffice et libreoffice (histoire de faire table rase), en explicitant chaque paquet, mais tu peux en mettre plusieurs sur la même ligne, comme :

sudo dpkg -P openoffice openoffice-base openoffice-brand-base openoffice-brand-calc openoffice-brand-draw openoffice-brand-fr openoffice-brand-impress openoffice-brand-math openoffice-brand-writer openoffice-calc openoffice-core01openoffice-core02 openoffice-core03 openoffice-core04 openoffice-core05 openoffice-core06 openoffice-core07 openoffice-debian-menus openoffice-draw openoffice-fr openoffice-fr-base openoffice-fr-calc openoffice-fr-draw openoffice-fr-help openoffice-fr-impress openoffice-fr-math openoffice-fr-res openoffice-fr-writer openoffice-gnome-integration openoffice-graphicfilter openoffice-images openoffice-impress openoffice-javafilter openoffice-math openoffice-ogltrans openoffice-onlineupdate openoffice-ooofonts openoffice-ooolinguistic openoffice-pyuno openoffice-ure openoffice-writer openoffice-xsltfilter openoffice.org-hyphenation

Edit : tu es sur la bonne voie, continue à désinstaller avec dpkg tout ce qui concerne OpenOffice

Dernière modification par xabilon (Le 05/10/2018, à 21:49)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#19 Le 05/10/2018, à 21:49

Daniel_T

Re : [RESOLU] Libreoffice paquets casses

Effectivement j'ai essayé dpkg avec une *, mais il ne l'a pas accepté
Il me reste donc pas mal de paquets à supprimer

Hors ligne

#20 Le 05/10/2018, à 21:52

Mornagest

Re : [RESOLU] Libreoffice paquets casses

Arf, désolé, j'aurais pensé que c'était possible. Quand on installe manuellement des paquets avec dpkg -i, on peut utiliser le * pour installer plusieurs paquets liés à la fois.

Vire tout aussi pour LibreOffice, Xabi a raison, il y a des soucis sur ces paquets également. Autant repartir sur une base saine.

Une fois que tu as pu tout désinstaller, il faut revoir ton sources.list. Et seulement après, installer LibreOffice proprement.

Dernière modification par Mornagest (Le 05/10/2018, à 21:52)


N'oubliez pas de consulter la documentation pour vous donner un coup de main !
Merci de modifier le premier message de votre sujet pour ajouter [Résolu] lorsque votre problème l'est :)
Xubuntu 18.04.1 sur trois ordinateurs, zéro souci. Passez à Xubuntu ;)

Hors ligne

#21 Le 05/10/2018, à 22:03

Daniel_T

Re : [RESOLU] Libreoffice paquets casses

Bon, j'ai repris la liste des paquets installés à partir de Synaptic pour les purger avec dpkg.
Il semblerait qu'il reste des problème de dépendance

daniel@daniel-P5QL-PRO:~$ sudo dpkg -P openoffice-base openoffice-calc openoffice-core01 openoffice-core02 openoffice-core03 openoffice-core04 openoffice-core05 openoffice-core06 openoffice-core07 openoffice-draw openoffice-fr openoffice-fr-base openoffice-fr-calc openoffice-fr-drawopenoffice-fr-help openoffice-fr-impress openoffice-fr-math openoffice-fr-res openoffice-fr-writer openoffice-gnome-integration openoffice-graphicfilter openoffice-images openoffice-impress openoffice-javafilter openoffice-math openoffice-ogltrans openoffice-onlineupdate openoffice-ooofonts openoffice-pyuno openoffice-ure openoffice-writer openoffice-xsltfilter openoffice-debian-menus
(Lecture de la base de données... 963841 fichiers et répertoires déjà installés.)
Suppression de openoffice-base (4.1.2-3) ...
Purge des fichiers de configuration de openoffice-base (4.1.2-3) ...
Suppression de openoffice-calc (4.1.2-3) ...
Purge des fichiers de configuration de openoffice-calc (4.1.2-3) ...
dpkg: un problème de dépendance empêche la suppression de openoffice-core01 :
 openoffice-ooolinguistic dépend de openoffice-core01.

dpkg: erreur de traitement du paquet openoffice-core01 (--purge) :
 problème de dépendance - suppression ignorée
Suppression de openoffice-core02 (4.1.2-3) ...
Purge des fichiers de configuration de openoffice-core02 (4.1.2-3) ...
Suppression de openoffice-core03 (4.1.2-3) ...
Suppression de openoffice-core04 (4.1.2-3) ...
Suppression de openoffice-core05 (4.1.2-3) ...
Suppression de openoffice-core06 (4.1.2-3) ...
Suppression de openoffice-core07 (4.1.2-3) ...
Suppression de openoffice-draw (4.1.2-3) ...
Purge des fichiers de configuration de openoffice-draw (4.1.2-3) ...
dpkg: un problème de dépendance empêche la suppression de openoffice-fr :
 openoffice-fr-draw dépend de openoffice-fr.
 openoffice-fr-help dépend de openoffice-fr.
 openoffice-fr-draw dépend de openoffice-fr.
 openoffice-fr-help dépend de openoffice-fr.

dpkg: erreur de traitement du paquet openoffice-fr (--purge) :
 problème de dépendance - suppression ignorée
Suppression de openoffice-fr-base (4.1.2-3) ...
Suppression de openoffice-fr-calc (4.1.2-3) ...
dpkg : avertissement : requête ignorée : suppression de openoffice-fr-drawopenoffice-fr-help, qui n'est pas installé
Suppression de openoffice-fr-impress (4.1.2-3) ...
Suppression de openoffice-fr-math (4.1.2-3) ...
Suppression de openoffice-fr-res (4.1.2-3) ...
Suppression de openoffice-fr-writer (4.1.2-3) ...
Suppression de openoffice-gnome-integration (4.1.2-3) ...
Suppression de openoffice-graphicfilter (4.1.2-3) ...
Suppression de openoffice-images (4.1.2-3) ...
Suppression de openoffice-javafilter (4.1.2-3) ...
Suppression de openoffice-math (4.1.2-3) ...
Purge des fichiers de configuration de openoffice-math (4.1.2-3) ...
Suppression de openoffice-ogltrans (4.1.2-3) ...
Suppression de openoffice-onlineupdate (4.1.2-3) ...
Suppression de openoffice-ooofonts (4.1.2-3) ...
Suppression de openoffice-pyuno (4.1.2-3) ...
dpkg: un problème de dépendance empêche la suppression de openoffice-ure :
 openoffice-core01 dépend de openoffice-ure.

dpkg: erreur de traitement du paquet openoffice-ure (--purge) :
 problème de dépendance - suppression ignorée
Suppression de openoffice-writer (4.1.2-3) ...
Purge des fichiers de configuration de openoffice-writer (4.1.2-3) ...
Suppression de openoffice-xsltfilter (4.1.2-3) ...
Suppression de openoffice-debian-menus (4.1.2-9782) ...
/usr/bin/gtk-update-icon-cache
gtk-update-icon-cache: Cache file created successfully.
/usr/bin/gtk-update-icon-cache
gtk-update-icon-cache: Cache file created successfully.
Purge des fichiers de configuration de openoffice-debian-menus (4.1.2-9782) ...
dpkg : avertissement : lors de la suppression de openoffice-debian-menus, le répertoire « /usr/share/applnk » n'était pas vide, donc il n'a pas été supprimé
Suppression de openoffice-impress (4.1.2-3) ...
Purge des fichiers de configuration de openoffice-impress (4.1.2-3) ...
Traitement des actions différées (« triggers ») pour menu (2.1.46ubuntu1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.22-1ubuntu1.1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.54ubuntu1.1) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.10.1-0ubuntu2) ...
Traitement des actions différées (« triggers ») pour bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Traitement des actions différées (« triggers ») pour shared-mime-info (1.2-0ubuntu3) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.13-1) ...
Traitement des actions différées (« triggers ») pour gnome-icon-theme (3.10.0-0ubuntu2) ...
Des erreurs ont été rencontrées pendant l'exécution :
 openoffice-core01
 openoffice-fr
 openoffice-ure
daniel@daniel-P5QL-PRO:~$ 

Je continue avec libreoffice

Comment je dois faire pour "revoir mon sources.list", Mornagest ?

Hors ligne

#22 Le 05/10/2018, à 22:07

Mornagest

Re : [RESOLU] Libreoffice paquets casses

On verra ça ensuite, il faut d'abord impérativement terminer la purge de tous ces paquets. Ta méthode de les lister via Synaptic est bonne, tu peux aussi essayer dpkg -l | grep openoffice pour pouvoir copier-coller le nom des paquets directement dans un autre onglet du terminal où tu lances ta commande dpkg -P wink

Pour le sources.list, il faut que tu nous dises si tu as besoin d'autre chose que les dépôts officiels d'Ubuntu. Tu as ajouté pas mal de choses, dont des dépôts Debian (et OpenSUSE ?! yikes), et la question à se poser, c'est de savoir pour quels paquets tu en as besoin.

Dernière modification par Mornagest (Le 05/10/2018, à 22:09)


N'oubliez pas de consulter la documentation pour vous donner un coup de main !
Merci de modifier le premier message de votre sujet pour ajouter [Résolu] lorsque votre problème l'est :)
Xubuntu 18.04.1 sur trois ordinateurs, zéro souci. Passez à Xubuntu ;)

Hors ligne

#23 Le 05/10/2018, à 22:15

Daniel_T

Re : [RESOLU] Libreoffice paquets casses

Voici le résultat de la purge de openoffice  en utilisant ta méthode

daniel@daniel-P5QL-PRO:~$ sudo dpkg -P openoffice-core01 openoffice-fr openoffice-fr-draw openoffice-fr-help openoffice-ooolinguistic openoffice-ure openoffice.org-hyphenation
[sudo] password for daniel: 
(Lecture de la base de données... 960099 fichiers et répertoires déjà installés.)
Suppression de openoffice-fr-draw (4.1.2-3) ...
Suppression de openoffice-fr-help (4.1.2-3) ...
Suppression de openoffice-ooolinguistic (4.1.2-3) ...
Suppression de openoffice.org-hyphenation (0.7.1) ...
Purge des fichiers de configuration de openoffice.org-hyphenation (0.7.1) ...
Suppression de openoffice-fr (4.1.2-3) ...
dpkg : avertissement : lors de la suppression de openoffice-fr, le répertoire « /opt/openoffice4/share/template/fr/layout » n'était pas vide, donc il n'a pas été supprimé
dpkg : avertissement : lors de la suppression de openoffice-fr, le répertoire « /opt/openoffice4/share/template/fr/presnt » n'était pas vide, donc il n'a pas été supprimé
Suppression de openoffice-core01 (4.1.2-3) ...
dpkg : avertissement : lors de la suppression de openoffice-core01, le répertoire « /opt/openoffice4/share » n'était pas vide, donc il n'a pas été supprimé
Suppression de openoffice-ure (4.1.2-3) ...
dpkg : avertissement : lors de la suppression de openoffice-ure, le répertoire « /opt/openoffice4 » n'était pas vide, donc il n'a pas été supprimé
daniel@daniel-P5QL-PRO:~$ 

Apparemment tout n'a pas été supprimé, est-ce grave ?

Hors ligne

#24 Le 05/10/2018, à 22:22

Daniel_T

Re : [RESOLU] Libreoffice paquets casses

J'ai purgé libreoffice, apparemment c'est bon ?

daniel@daniel-P5QL-PRO:~$ sudo dpkg -P libreoffice libreoffice- libreoffice-pdfimport libreoffice-sdbc-firebird libreoffice-base-drivers libreoffice-sdbc-hsqldb libreoffice-avmedia-backend-gstreamer libreoffice-calc libreoffice-impress libreoffice-math libreoffice-draw libreoffice-base libreoffice-base-core libreoffice-writer libreoffice-help-fr libreoffice-help-gb libreoffice-help-us libreoffice-core libreoffice-report-builder-bin libreoffice-java-common libreoffice-gnome libreoffice-l10n-en-gb libreoffice-l10n-en-za libreoffice-style-human libreoffice-gtk
[sudo] password for daniel: 
(Lecture de la base de données... 959228 fichiers et répertoires déjà installés.)
Suppression de libreoffice (1:4.2.8-0ubuntu5.3) ...
dpkg : avertissement : requête ignorée : suppression de libreoffice-, qui n'est pas installé
Suppression de libreoffice-pdfimport (1:4.2.8-0ubuntu5.3) ...
Suppression de libreoffice-sdbc-firebird (1:4.2.8-0ubuntu5.3) ...
Suppression de libreoffice-base-drivers (1:4.2.8-0ubuntu5.3) ...
Suppression de libreoffice-sdbc-hsqldb (1:4.2.8-0ubuntu5.3) ...
Suppression de libreoffice-avmedia-backend-gstreamer (1:4.2.8-0ubuntu5.3) ...
Suppression de libreoffice-calc (1:4.2.8-0ubuntu5.3) ...
Purge des fichiers de configuration de libreoffice-calc (1:4.2.8-0ubuntu5.3) ...
Suppression de libreoffice-impress (1:4.2.8-0ubuntu5.3) ...
Purge des fichiers de configuration de libreoffice-impress (1:4.2.8-0ubuntu5.3) ...
Suppression de libreoffice-math (1:4.2.8-0ubuntu5.3) ...
Purge des fichiers de configuration de libreoffice-math (1:4.2.8-0ubuntu5.3) ...
Suppression de libreoffice-draw (1:4.2.8-0ubuntu5.3) ...
Purge des fichiers de configuration de libreoffice-draw (1:4.2.8-0ubuntu5.3) ...
Suppression de libreoffice-base (1:4.2.8-0ubuntu5.3) ...
Purge des fichiers de configuration de libreoffice-base (1:4.2.8-0ubuntu5.3) ...
Suppression de libreoffice-base-core (1:4.2.8-0ubuntu5.3) ...
Suppression de libreoffice-writer (1:4.2.8-0ubuntu5.3) ...
Purge des fichiers de configuration de libreoffice-writer (1:4.2.8-0ubuntu5.3) ...
Suppression de libreoffice-help-fr (1:4.2.8-0ubuntu1) ...
dpkg : avertissement : requête ignorée : suppression de libreoffice-help-gb, qui n'est pas installé
dpkg : avertissement : requête ignorée : suppression de libreoffice-help-us, qui n'est pas installé
Suppression de libreoffice-core (1:4.2.8-0ubuntu5.3) ...
Purge des fichiers de configuration de libreoffice-core (1:4.2.8-0ubuntu5.3) ...
Suppression de libreoffice-report-builder-bin (1:4.2.8-0ubuntu5.3) ...
Suppression de libreoffice-java-common (1:4.2.8-0ubuntu5.3) ...
Suppression de libreoffice-gnome (1:4.2.8-0ubuntu5.3) ...
Suppression de libreoffice-l10n-en-gb (1:4.2.8-0ubuntu1) ...
Suppression de libreoffice-l10n-en-za (1:4.2.8-0ubuntu1) ...
Suppression de libreoffice-style-human (1:4.2.8-0ubuntu5.2) ...
Suppression de libreoffice-gtk (1:4.2.8-0ubuntu5.3) ...
Traitement des actions différées (« triggers ») pour man-db (2.6.7.1-1ubuntu1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.22-1ubuntu1.1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.54ubuntu1.1) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.10.1-0ubuntu2) ...
Traitement des actions différées (« triggers ») pour bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Traitement des actions différées (« triggers ») pour menu (2.1.46ubuntu1) ...
daniel@daniel-P5QL-PRO:~$ sudo dpkg -P libreoffice-common libreoffice-help-en-gb libreoffice-help-en-us libreoffice-l10n-fr
(Lecture de la base de données... 958510 fichiers et répertoires déjà installés.)
Suppression de libreoffice-common (1:4.2.8-0ubuntu4) ...
Purge des fichiers de configuration de libreoffice-common (1:4.2.8-0ubuntu4) ...
rmdir: échec de suppression de «/var/lib/libreoffice/share/config»: Aucun fichier ou dossier de ce type
rmdir: échec de suppression de «/var/lib/libreoffice/share»: Aucun fichier ou dossier de ce type
Suppression de libreoffice-help-en-gb (1:4.2.8-0ubuntu1) ...
Suppression de libreoffice-help-en-us (1:4.2.8-0ubuntu1) ...
Suppression de libreoffice-l10n-fr (1:4.2.8-0ubuntu1) ...
daniel@daniel-P5QL-PRO:~$ 

Hors ligne

#25 Le 05/10/2018, à 22:40

Mornagest

Re : [RESOLU] Libreoffice paquets casses

Fais dpkg -l | grep openoffice

puis dpkg -l | grep libreoffice

Tu verras s'il reste des paquets installés (ou alors, tu regardes avec Synaptic).

S'il n'en reste plus, c'est bon (même en admettant qu'il reste un dossier de config, c'est pas très grave dans le cas qui nous occupe) smile

Tu pourras alors détailler ce dont tu as besoin pour ton installation, ailleurs que dans les dépôts officiels...

edit : en attendant, et pour repartir sur des bases saines, tu peux faire sudo mv /etc/apt/sources.list /etc/apt/sources.list.old pour sauver ton sources.list ailleurs.

Tu recrées ensuite un sources.list propre : sudo nano /etc/apt/sources.list et tu colles ça dedans :

deb http://fr.archive.ubuntu.com/ubuntu/ bionic main restricted universe multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ bionic main restricted universe multiverse

deb http://fr.archive.ubuntu.com/ubuntu/ bionic-updates main restricted universe multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ bionic-updates main restricted universe multiverse

deb http://fr.archive.ubuntu.com/ubuntu/ bionic-backports main restricted universe multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ bionic-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu bionic-security main restricted universe multiverse
# deb-src http://security.ubuntu.com/ubuntu bionic-security main restricted universe multiverse

Tu sauves en faisant Ctrl + o (la lettre, pas le chiffre), tu fais Entrée pour valider, tu quittes en faisant Ctrl + x et tu fais sudo apt update ; sudo apt full-upgrade ; sudo apt clean ; sudo apt autoclean ; sudo apt autoremove pour nettoyer tout ton bazar smile

Dernière modification par Mornagest (Le 05/10/2018, à 22:47)


N'oubliez pas de consulter la documentation pour vous donner un coup de main !
Merci de modifier le premier message de votre sujet pour ajouter [Résolu] lorsque votre problème l'est :)
Xubuntu 18.04.1 sur trois ordinateurs, zéro souci. Passez à Xubuntu ;)

Hors ligne